Index: trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_Execute_loop/Execute_loop/Register_unit/Register_unit_Glue/src/Register_unit_Glue.cpp
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_Execute_loop/Execute_loop/Register_unit/Register_unit_Glue/src/Register_unit_Glue.cpp	(revision 112)
+++ trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_Execute_loop/Execute_loop/Register_unit/Register_unit_Glue/src/Register_unit_Glue.cpp	(revision 123)
@@ -38,9 +38,9 @@
     log_printf(FUNC,Register_unit_Glue,FUNCTION,"Begin");
 
-#if DEBUG_Register_unit_Glue == true
-    log_printf(INFO,Register_unit_Glue,FUNCTION,_("<%s> Parameters"),_name.c_str());
-
-    std::cout << *param << std::endl;
-#endif    
+// #if DEBUG_Register_unit_Glue == true
+//     log_printf(INFO,Register_unit_Glue,FUNCTION,_("<%s> Parameters"),_name.c_str());
+
+//     std::cout << *param << std::endl;
+// #endif    
 
     log_printf(INFO,Register_unit_Glue,FUNCTION,"Allocation");
Index: trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_Execute_loop/Execute_loop/Register_unit/Register_unit_Glue/src/Register_unit_Glue_genMealy_gpr_read.cpp
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_Execute_loop/Execute_loop/Register_unit/Register_unit_Glue/src/Register_unit_Glue_genMealy_gpr_read.cpp	(revision 112)
+++ trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_Execute_loop/Execute_loop/Register_unit/Register_unit_Glue/src/Register_unit_Glue_genMealy_gpr_read.cpp	(revision 123)
@@ -26,10 +26,5 @@
     log_function(Register_unit_Glue,FUNCTION,_name.c_str());
 
-//     if (not PORT_READ(in_NRESET))
-//       {
-// 	for (uint32_t j=0; j<_param->_nb_gpr_read; j++)
-// 	  PORT_WRITE(out_GPR_READ_ACK      [j], 0);
-//       }
-//     else
+    if (PORT_READ(in_NRESET))
       {
 	for (uint32_t j=0; j<_param->_nb_gpr_read; j++)
@@ -44,4 +39,9 @@
 	    PORT_WRITE(out_GPR_READ_DATA_VAL [j], PORT_READ(in_GPR_READ_STATUS_DATA_VAL  [ooo_engine_id][j]));
 	  }
+      }
+    else
+      {
+	for (uint32_t j=0; j<_param->_nb_gpr_read; j++)
+	  PORT_WRITE(out_GPR_READ_ACK      [j], 0);
       }
 
Index: trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_Execute_loop/Execute_loop/Register_unit/Register_unit_Glue/src/Register_unit_Glue_genMealy_gpr_read_registerfile.cpp
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_Execute_loop/Execute_loop/Register_unit/Register_unit_Glue/src/Register_unit_Glue_genMealy_gpr_read_registerfile.cpp	(revision 112)
+++ trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_Execute_loop/Execute_loop/Register_unit/Register_unit_Glue/src/Register_unit_Glue_genMealy_gpr_read_registerfile.cpp	(revision 123)
@@ -26,11 +26,5 @@
     log_function(Register_unit_Glue,FUNCTION,_name.c_str());
 
-//     if (not PORT_READ(in_NRESET))
-//       {
-// 	for (uint32_t j=0; j<_param->_nb_gpr_read; j++)
-// 	  for (uint32_t i=0; i<_param->_nb_ooo_engine; i++)
-// 	    PORT_WRITE(out_GPR_READ_REGISTERFILE_VAL [i][j],0);
-//       }
-//     else
+    if (PORT_READ(in_NRESET))
       {
 	for (uint32_t j=0; j<_param->_nb_gpr_read; j++)
@@ -49,4 +43,10 @@
 	  }
       }
+    else
+      {
+        for (uint32_t j=0; j<_param->_nb_gpr_read; j++)
+          for (uint32_t i=0; i<_param->_nb_ooo_engine; i++)
+            PORT_WRITE(out_GPR_READ_REGISTERFILE_VAL [i][j],0);
+      }
 
     log_end(Register_unit_Glue,FUNCTION);
Index: trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_Execute_loop/Execute_loop/Register_unit/Register_unit_Glue/src/Register_unit_Glue_genMealy_gpr_read_status.cpp
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_Execute_loop/Execute_loop/Register_unit/Register_unit_Glue/src/Register_unit_Glue_genMealy_gpr_read_status.cpp	(revision 112)
+++ trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_Execute_loop/Execute_loop/Register_unit/Register_unit_Glue/src/Register_unit_Glue_genMealy_gpr_read_status.cpp	(revision 123)
@@ -26,11 +26,5 @@
     log_function(Register_unit_Glue,FUNCTION,_name.c_str());
 
-//     if (not PORT_READ(in_NRESET))
-//       {
-// 	for (uint32_t j=0; j<_param->_nb_gpr_read; j++)
-// 	  for (uint32_t i=0; i<_param->_nb_ooo_engine; i++)
-// 	    PORT_WRITE(out_GPR_READ_STATUS_VAL       [i][j], 0);
-//       }
-//     else
+    if (PORT_READ(in_NRESET))
       {
 	for (uint32_t j=0; j<_param->_nb_gpr_read; j++)
@@ -49,4 +43,10 @@
 	  }
       }
+    else
+      {
+	for (uint32_t j=0; j<_param->_nb_gpr_read; j++)
+	  for (uint32_t i=0; i<_param->_nb_ooo_engine; i++)
+	    PORT_WRITE(out_GPR_READ_STATUS_VAL       [i][j], 0);
+      }
 
     log_end(Register_unit_Glue,FUNCTION);
Index: trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_Execute_loop/Execute_loop/Register_unit/Register_unit_Glue/src/Register_unit_Glue_genMealy_gpr_registerfile.cpp
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_Execute_loop/Execute_loop/Register_unit/Register_unit_Glue/src/Register_unit_Glue_genMealy_gpr_registerfile.cpp	(revision 112)
+++ trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_Execute_loop/Execute_loop/Register_unit/Register_unit_Glue/src/Register_unit_Glue_genMealy_gpr_registerfile.cpp	(revision 123)
@@ -26,11 +26,5 @@
     log_function(Register_unit_Glue,FUNCTION,_name.c_str());
 
-//     if (not PORT_READ(in_NRESET))
-//       {
-// 	for (uint32_t j=0; j<_param->_nb_gpr_write; j++)
-// 	  for (uint32_t i=0; i<_param->_nb_ooo_engine; i++)
-// 	    PORT_WRITE(out_GPR_WRITE_REGISTERFILE_VAL [i][j], 0);
-//       }
-//     else
+    if (PORT_READ(in_NRESET))
       {
 	for (uint32_t j=0; j<_param->_nb_gpr_write; j++)
@@ -48,4 +42,10 @@
 	  }
       }
+    else
+      {
+	for (uint32_t j=0; j<_param->_nb_gpr_write; j++)
+	  for (uint32_t i=0; i<_param->_nb_ooo_engine; i++)
+	    PORT_WRITE(out_GPR_WRITE_REGISTERFILE_VAL [i][j], 0);
+      }
 
     log_end(Register_unit_Glue,FUNCTION);
Index: trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_Execute_loop/Execute_loop/Register_unit/Register_unit_Glue/src/Register_unit_Glue_genMealy_gpr_write.cpp
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_Execute_loop/Execute_loop/Register_unit/Register_unit_Glue/src/Register_unit_Glue_genMealy_gpr_write.cpp	(revision 112)
+++ trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_Execute_loop/Execute_loop/Register_unit/Register_unit_Glue/src/Register_unit_Glue_genMealy_gpr_write.cpp	(revision 123)
@@ -25,11 +25,7 @@
     log_begin(Register_unit_Glue,FUNCTION);
     log_function(Register_unit_Glue,FUNCTION,_name.c_str());
-//     if (not PORT_READ(in_NRESET))
-//       {
-// 	for (uint32_t j=0; j<_param->_nb_gpr_write; j++)
-// 	  for (uint32_t i=0; i<_param->_nb_ooo_engine; i++)
-// 	    PORT_WRITE(out_GPR_WRITE_ACK [j], 0);
-//       }
-//     else
+
+
+    if (PORT_READ(in_NRESET))
       {
 	for (uint32_t j=0; j<_param->_nb_gpr_write; j++)
@@ -42,4 +38,10 @@
 	    PORT_WRITE(out_GPR_WRITE_ACK [j],registerfile_ack and status_ack);
 	  }
+      }
+    else
+      {
+	for (uint32_t j=0; j<_param->_nb_gpr_write; j++)
+	  for (uint32_t i=0; i<_param->_nb_ooo_engine; i++)
+	    PORT_WRITE(out_GPR_WRITE_ACK [j], 0);
       }
     
Index: trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_Execute_loop/Execute_loop/Register_unit/Register_unit_Glue/src/Register_unit_Glue_genMealy_gpr_write_status.cpp
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_Execute_loop/Execute_loop/Register_unit/Register_unit_Glue/src/Register_unit_Glue_genMealy_gpr_write_status.cpp	(revision 112)
+++ trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_Execute_loop/Execute_loop/Register_unit/Register_unit_Glue/src/Register_unit_Glue_genMealy_gpr_write_status.cpp	(revision 123)
@@ -26,11 +26,5 @@
     log_function(Register_unit_Glue,FUNCTION,_name.c_str());
 
-//     if (not PORT_READ(in_NRESET))
-//       {
-// 	for (uint32_t j=0; j<_param->_nb_gpr_write; j++)
-// 	  for (uint32_t i=0; i<_param->_nb_ooo_engine; i++)
-// 	    PORT_WRITE(out_GPR_WRITE_STATUS_VAL       [i][j], 0);
-//       }
-//     else
+    if (PORT_READ(in_NRESET))
       {
 	for (uint32_t j=0; j<_param->_nb_gpr_write; j++)
@@ -48,4 +42,11 @@
 	  }
       }
+    else
+      {
+	for (uint32_t j=0; j<_param->_nb_gpr_write; j++)
+	  for (uint32_t i=0; i<_param->_nb_ooo_engine; i++)
+	    PORT_WRITE(out_GPR_WRITE_STATUS_VAL       [i][j], 0);
+      }
+
 
     log_end(Register_unit_Glue,FUNCTION);
Index: trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_Execute_loop/Execute_loop/Register_unit/Register_unit_Glue/src/Register_unit_Glue_genMealy_insert.cpp
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_Execute_loop/Execute_loop/Register_unit/Register_unit_Glue/src/Register_unit_Glue_genMealy_insert.cpp	(revision 112)
+++ trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_Execute_loop/Execute_loop/Register_unit/Register_unit_Glue/src/Register_unit_Glue_genMealy_insert.cpp	(revision 123)
@@ -26,4 +26,6 @@
     log_function(Register_unit_Glue,FUNCTION,_name.c_str());
 
+    if (PORT_READ(in_NRESET))
+      {
     for (uint32_t i=0; i<_param->_nb_ooo_engine; i++)
       for (uint32_t j=0; j<_param->_nb_inst_insert_rob [i]; j++)
@@ -59,4 +61,15 @@
 
         }
+      }
+    else
+      {
+        for (uint32_t i=0; i<_param->_nb_ooo_engine; i++)
+          for (uint32_t j=0; j<_param->_nb_inst_insert_rob [i]; j++)
+            {
+              PORT_WRITE(out_INSERT_ROB_ACK            [i][j], 0);
+              PORT_WRITE(out_INSERT_ROB_GPR_STATUS_VAL [i][j], 0);
+              PORT_WRITE(out_INSERT_ROB_SPR_STATUS_VAL [i][j], 0);
+            }
+      }
 
     log_end(Register_unit_Glue,FUNCTION);
Index: trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_Execute_loop/Execute_loop/Register_unit/Register_unit_Glue/src/Register_unit_Glue_genMealy_retire.cpp
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_Execute_loop/Execute_loop/Register_unit/Register_unit_Glue/src/Register_unit_Glue_genMealy_retire.cpp	(revision 112)
+++ trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_Execute_loop/Execute_loop/Register_unit/Register_unit_Glue/src/Register_unit_Glue_genMealy_retire.cpp	(revision 123)
@@ -27,4 +27,6 @@
     log_function(Register_unit_Glue,FUNCTION,_name.c_str());
 
+    if (PORT_READ(in_NRESET))
+      {
     for (uint32_t i=0; i<_param->_nb_ooo_engine; i++)
       {
@@ -58,5 +60,5 @@
 	  }
       }
-
+}
     log_end(Register_unit_Glue,FUNCTION);
   };
Index: trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_Execute_loop/Execute_loop/Register_unit/Register_unit_Glue/src/Register_unit_Glue_genMealy_spr_read.cpp
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_Execute_loop/Execute_loop/Register_unit/Register_unit_Glue/src/Register_unit_Glue_genMealy_spr_read.cpp	(revision 112)
+++ trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_Execute_loop/Execute_loop/Register_unit/Register_unit_Glue/src/Register_unit_Glue_genMealy_spr_read.cpp	(revision 123)
@@ -26,10 +26,5 @@
     log_function(Register_unit_Glue,FUNCTION,_name.c_str());
 
-//     if (not PORT_READ(in_NRESET))
-//       {
-// 	for (uint32_t j=0; j<_param->_nb_spr_read; j++)
-// 	  PORT_WRITE(out_SPR_READ_ACK      [j], 0);
-//       }
-//     else
+    if (PORT_READ(in_NRESET))
       {
 	for (uint32_t j=0; j<_param->_nb_spr_read; j++)
@@ -44,4 +39,9 @@
 	    PORT_WRITE(out_SPR_READ_DATA_VAL [j], PORT_READ(in_SPR_READ_STATUS_DATA_VAL  [ooo_engine_id][j]));
 	  }
+      }
+    else
+      {
+	for (uint32_t j=0; j<_param->_nb_spr_read; j++)
+	  PORT_WRITE(out_SPR_READ_ACK      [j], 0);
       }
 
Index: trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_Execute_loop/Execute_loop/Register_unit/Register_unit_Glue/src/Register_unit_Glue_genMealy_spr_read_registerfile.cpp
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_Execute_loop/Execute_loop/Register_unit/Register_unit_Glue/src/Register_unit_Glue_genMealy_spr_read_registerfile.cpp	(revision 112)
+++ trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_Execute_loop/Execute_loop/Register_unit/Register_unit_Glue/src/Register_unit_Glue_genMealy_spr_read_registerfile.cpp	(revision 123)
@@ -26,11 +26,5 @@
     log_function(Register_unit_Glue,FUNCTION,_name.c_str());
 
-//     if (not PORT_READ(in_NRESET))
-//       {
-// 	for (uint32_t j=0; j<_param->_nb_spr_read; j++)
-// 	  for (uint32_t i=0; i<_param->_nb_ooo_engine; i++)
-// 	    PORT_WRITE(out_SPR_READ_REGISTERFILE_VAL [i][j],0);
-//       }
-//     else
+    if (PORT_READ(in_NRESET))
       {
 	for (uint32_t j=0; j<_param->_nb_spr_read; j++)
@@ -48,4 +42,10 @@
 	  }
       }
+    else
+      {
+	for (uint32_t j=0; j<_param->_nb_spr_read; j++)
+	  for (uint32_t i=0; i<_param->_nb_ooo_engine; i++)
+	    PORT_WRITE(out_SPR_READ_REGISTERFILE_VAL [i][j],0);
+      }
 
     log_end(Register_unit_Glue,FUNCTION);
Index: trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_Execute_loop/Execute_loop/Register_unit/Register_unit_Glue/src/Register_unit_Glue_genMealy_spr_read_status.cpp
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_Execute_loop/Execute_loop/Register_unit/Register_unit_Glue/src/Register_unit_Glue_genMealy_spr_read_status.cpp	(revision 112)
+++ trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_Execute_loop/Execute_loop/Register_unit/Register_unit_Glue/src/Register_unit_Glue_genMealy_spr_read_status.cpp	(revision 123)
@@ -26,11 +26,5 @@
     log_function(Register_unit_Glue,FUNCTION,_name.c_str());
 
-//     if (not PORT_READ(in_NRESET))
-//       {
-// 	for (uint32_t j=0; j<_param->_nb_spr_read; j++)
-// 	  for (uint32_t i=0; i<_param->_nb_ooo_engine; i++)
-// 	    PORT_WRITE(out_SPR_READ_STATUS_VAL       [i][j], 0);
-//       }
-//     else
+    if (PORT_READ(in_NRESET))
       {
 	for (uint32_t j=0; j<_param->_nb_spr_read; j++)
@@ -48,4 +42,10 @@
 	  }
       }
+    else
+      {
+	for (uint32_t j=0; j<_param->_nb_spr_read; j++)
+	  for (uint32_t i=0; i<_param->_nb_ooo_engine; i++)
+	    PORT_WRITE(out_SPR_READ_STATUS_VAL       [i][j], 0);
+      }
 
     log_end(Register_unit_Glue,FUNCTION);
Index: trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_Execute_loop/Execute_loop/Register_unit/Register_unit_Glue/src/Register_unit_Glue_genMealy_spr_registerfile.cpp
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_Execute_loop/Execute_loop/Register_unit/Register_unit_Glue/src/Register_unit_Glue_genMealy_spr_registerfile.cpp	(revision 112)
+++ trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_Execute_loop/Execute_loop/Register_unit/Register_unit_Glue/src/Register_unit_Glue_genMealy_spr_registerfile.cpp	(revision 123)
@@ -26,11 +26,5 @@
     log_function(Register_unit_Glue,FUNCTION,_name.c_str());
 
-//     if (not PORT_READ(in_NRESET))
-//       {
-// 	for (uint32_t j=0; j<_param->_nb_spr_write; j++)
-// 	  for (uint32_t i=0; i<_param->_nb_ooo_engine; i++)
-// 	    PORT_WRITE(out_SPR_WRITE_REGISTERFILE_VAL [i][j], 0);
-//       }
-//     else
+    if (PORT_READ(in_NRESET))
       {
 	for (uint32_t j=0; j<_param->_nb_spr_write; j++)
@@ -48,4 +42,10 @@
 	  }
       }
+    else
+      {
+	for (uint32_t j=0; j<_param->_nb_spr_write; j++)
+	  for (uint32_t i=0; i<_param->_nb_ooo_engine; i++)
+	    PORT_WRITE(out_SPR_WRITE_REGISTERFILE_VAL [i][j], 0);
+      }
 
     log_end(Register_unit_Glue,FUNCTION);
Index: trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_Execute_loop/Execute_loop/Register_unit/Register_unit_Glue/src/Register_unit_Glue_genMealy_spr_write.cpp
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_Execute_loop/Execute_loop/Register_unit/Register_unit_Glue/src/Register_unit_Glue_genMealy_spr_write.cpp	(revision 112)
+++ trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_Execute_loop/Execute_loop/Register_unit/Register_unit_Glue/src/Register_unit_Glue_genMealy_spr_write.cpp	(revision 123)
@@ -26,11 +26,5 @@
     log_function(Register_unit_Glue,FUNCTION,_name.c_str());
 
-//     if (not PORT_READ(in_NRESET))
-//       {
-// 	for (uint32_t j=0; j<_param->_nb_spr_write; j++)
-// 	  for (uint32_t i=0; i<_param->_nb_ooo_engine; i++)
-// 	    PORT_WRITE(out_SPR_WRITE_ACK [j], 0);
-//       }
-//     else
+    if (PORT_READ(in_NRESET))
       {
 	for (uint32_t j=0; j<_param->_nb_spr_write; j++)
@@ -43,4 +37,10 @@
 	    PORT_WRITE(out_SPR_WRITE_ACK [j],registerfile_ack and status_ack);
 	  }
+      }
+    else
+      {
+	for (uint32_t j=0; j<_param->_nb_spr_write; j++)
+	  for (uint32_t i=0; i<_param->_nb_ooo_engine; i++)
+	    PORT_WRITE(out_SPR_WRITE_ACK [j], 0);
       }
 
Index: trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_Execute_loop/Execute_loop/Register_unit/Register_unit_Glue/src/Register_unit_Glue_genMealy_spr_write_status.cpp
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_Execute_loop/Execute_loop/Register_unit/Register_unit_Glue/src/Register_unit_Glue_genMealy_spr_write_status.cpp	(revision 112)
+++ trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_Execute_loop/Execute_loop/Register_unit/Register_unit_Glue/src/Register_unit_Glue_genMealy_spr_write_status.cpp	(revision 123)
@@ -26,11 +26,5 @@
     log_function(Register_unit_Glue,FUNCTION,_name.c_str());
 
-//     if (not PORT_READ(in_NRESET))
-//       {
-// 	for (uint32_t j=0; j<_param->_nb_spr_write; j++)
-// 	  for (uint32_t i=0; i<_param->_nb_ooo_engine; i++)
-// 	    PORT_WRITE(out_SPR_WRITE_STATUS_VAL       [i][j], 0);
-//       }
-//     else
+    if (PORT_READ(in_NRESET))
       {
 	for (uint32_t j=0; j<_param->_nb_spr_write; j++)
@@ -48,4 +42,10 @@
 	  }
       }
+    else
+      {
+	for (uint32_t j=0; j<_param->_nb_spr_write; j++)
+	  for (uint32_t i=0; i<_param->_nb_ooo_engine; i++)
+	    PORT_WRITE(out_SPR_WRITE_STATUS_VAL       [i][j], 0);
+      }
 
     log_end(Register_unit_Glue,FUNCTION);